Bug 592971 - Left navigation: scroll issue for bottom most node(s)
Left navigation: scroll issue for bottom most node(s)
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
3.0.0
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: Lukas Krejci
Sunil Kondkar
:
Depends On:
Blocks: rhq_triage jon24-naming
  Show dependency treegraph
 
Reported: 2010-05-17 10:05 EDT by Rajan Timaniya
Modified: 2013-09-02 03:21 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:21:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rajan Timaniya 2010-05-17 10:05:13 EDT
Description of problem:
Left navigation – select any resource at bottom (it should have scroll bar) in that case left navigation screen refresh and again show top part of left navigation rather then the selected resource at bottom.

Version-Release number of selected component (if applicable):
JON build #150 - Revision: 10620
http://hudson-qe.rhq.rdu.redhat.com:8080/job/jon/150/

How reproducible:
Always

Steps to Reproduce:
1) Log-in to JON server
2) Goto 'Dashboard' and select platform
3) Click on left navigation and expand all child node(s) (there should be scroll bar for left navigation)
4) Select bottom most node in left navigation
  
Actual results:
Left navigation – select any resource at bottom (it should have scroll bar) in that case left navigation screen refresh and again show top part of left navigation rather then the selected resource at bottom.

Expected results:
Left navigation should show bottom part if user has selected bottom node in left navigation.
Comment 1 Corey Welton 2010-09-20 21:39:13 EDT
sunil, please retest this in GWT ui
Comment 2 Sunil Kondkar 2010-09-21 05:35:59 EDT
Tested in rhq build#234 in GWT ui.

If user scrolls down and selects bottom most node in left navigation, the left navigation screen shows the selected resource at bottom as expected. 
This will be retested in jon build.
Comment 3 Sunil Kondkar 2010-10-20 07:35:17 EDT
Tested in rhq build#423

The left tree scroll bar works and displays the selected resource in the tree if user scrolls down and selects bottom most node in left navigation.
Marking the bug as verified.
Comment 4 Heiko W. Rupp 2013-09-02 03:21:15 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.